document.getElementById('bookingForm').addEventListener('submit', function(e) {
  e.preventDefault();
  const eircode = document.getElementById('eircode').value;
  const bookingResult = document.getElementById('bookingResult');
  
  // Simulate checking nearby bookings
  const nearbyEircodes = ['D01', 'D02', 'D03']; // Example nearby eircodes
  const userEircodePrefix = eircode.substring(0, 3);
  
  if (nearbyEircodes.includes(userEircodePrefix)) {
    bookingResult.innerHTML = `<p>We have availability for your area today!</p>`;
  } else {
    bookingResult.innerHTML = `<p>Sorry, we don't have any bookings near you today. Please try another day.</p>`;
  }
});

// Simple carousel animation
const carousel = document.querySelector('.carousel');
let scrollAmount = 0;

setInterval(() => {
  scrollAmount += 200;
  if (scrollAmount > carousel.scrollWidth - carousel.clientWidth) {
    scrollAmount = 0;
  }
  carousel.scrollTo({
    left: scrollAmount,
    behavior: 'smooth'
  });
}, 3000);